/*
 * Copyright 2001, Olivier Chapuis. No guarantees or warantees or anything
 * are provided or implied in any way whatsoever. Use this program at your
 * own risk. Permission to use this program for any purpose is given,
 * as long as the copyright is kept intact. */

/* This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "config.h"

#if HAVE_NET_HINTS
#include <stdio.h>
#include <X11/Xlib.h>

#include "libs/fvwmlib.h"
#include "fvwm.h"
#include "externs.h"

#define XIA(a) XInternAtom(dpy,a,False);
Atom XA_NET_WM_VISIBLE_NAME;
Atom XA_NET_WM_ICON_VISIBLE_NAME;
Atom XA_UTF8_STRING;

void NET_Init(void)
{
  XA_NET_WM_VISIBLE_NAME          = XIA("_NET_WM_VISIBLE_NAME");
  XA_NET_WM_ICON_VISIBLE_NAME     = XIA("_NET_WM_ICON_VISIBLE_NAME");

  XA_UTF8_STRING = XIA("UTF8_STRING");
}

#endif /* HAVE_NET_HINTS */
